#ifndef __bugdetailsjob_h__
#define __bugdetailsjob_h__

#include "bugjob.h"
#include "bug.h"
#include "bugdetails.h"
#include "bugdetailspart.h"

class BugDetailsJob : public BugJob
{
    TQ_OBJECT
  
  public:
    BugDetailsJob( BugServer * );
    virtual ~BugDetailsJob();

    void start( const Bug &bug );

  signals:
    void bugDetailsAvailable( const Bug &bug, const BugDetails &details );

  protected:
    virtual void process( const TQByteArray &data );

  private:
    Bug m_bug;
};

#endif
